Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeprocessinginstructionsetnodevalue Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeprocessinginstructionsetnodevalue (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

Setting the nodeValue should change the value returned by nodeValue and ProcessingInstruction.getData.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1004215813 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-837822393

Definition at line 41 of file nodeprocessinginstructionsetnodevalue.java.

## Constructor & Destructor Documentation

nodeprocessinginstructionsetnodevalue::nodeprocessinginstructionsetnodevalue | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 43 of file nodeprocessinginstructionsetnodevalue.java.
    00044  {
    00045       super(factory);
    00046
    00047    }

## Member Function Documentation

String nodeprocessinginstructionsetnodevalue::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 64 of file nodeprocessinginstructionsetnodevalue.java.
    00064                                 {
    00065       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeprocessinginstructionsetnodevalue";
    00066    }

void nodeprocessinginstructionsetnodevalue::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 67 of file nodeprocessinginstructionsetnodevalue.java. References DOMTestCase::doMain().
    00067                                           {
    00068         DOMTestCase.doMain(nodeprocessinginstructionsetnodevalue.class,args);
    00069    }

void nodeprocessinginstructionsetnodevalue::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 49 of file nodeprocessinginstructionsetnodevalue.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00049                                                     {
    00050       Document doc;
    00051       NodeList testList;
    00052       Node piNode;
    00053       String piValue;
    00054       doc = load("staff");
    00055       testList = doc.getChildNodes();
    00056       piNode = testList.item(0);
    00057       piNode.setNodeValue("Something different");
    00058       piValue = piNode.getNodeValue();
    00059       assertEquals("nodeValue","Something different",piValue);
    00060       piValue = ((ProcessingInstruction)/*Node*/piNode).getData();
    00061       assertEquals("data","Something different",piValue);
    00062
    00063    }

The documentation for this class was generated from the following file:

- nodeprocessinginstructionsetnodevalue.java